import { TaskResponse } from '../models/tasks/TaskResponse.interface';
import { Evolve } from '../models/evolve/Evolve.class';
import { TaskSummaryResponse } from '../models/tasks/TaskSummaryResponse.interface';
export declare class EvolveService {
    private repository;
    constructor();
    addEvolve(evolveRequest: Evolve): Promise<TaskResponse>;
    updateEvolve(evolveRequest: Evolve, idTask: string): Promise<TaskResponse>;
    getEvolveSummary(): Promise<TaskSummaryResponse>;
    getEvolve(idTask: string): Promise<TaskResponse>;
    deleteEvolveTask(idTask: string): Promise<Response>;
}
